from django.urls import path, include
from . import views as parts_views

urlpatterns = [
    path('', parts_views.MainView.as_view(), name='parts-main'),
    path('components/', parts_views.ComponentView.as_view(), name='parts-components'),
    path('packages/', parts_views.PackageView.as_view(), name='parts-packages'),
    path('distributors/', parts_views.DistributorView.as_view(), name='parts-distributors'),
    path('stocks/', parts_views.StockView.as_view(), name='parts-stocks'),
    path('logout/', parts_views.logout_view, name='logout'),
    path('login/', parts_views.login_view, name='login'),
    path('changepw/', parts_views.ChangePasswordView.as_view(), name='change-pw'),
    path('stocks/<slug:uuid>/', parts_views.StockViewDetail.as_view(), name='parts-stocks-detail'),
    path('components/<slug:uuid>/', parts_views.ComponentDetailView.as_view(), name='parts-components-detail'),
    path('packages/<slug:uuid>/', parts_views.PackageDetailView.as_view(), name='parts-packages-detail'),
    path('distributors/<slug:uuid>/', parts_views.DistributorDetailView.as_view(), name='parts-distributors-detail'),
    path('manufacturers/', parts_views.ManufacturersViewSet.as_view(), name='parts-manufacturers'),
    path("manufacturers/<slug:uuid>/", parts_views.ManufacturerDetailViewSet.as_view(), name='parts-manufacturers-detail'),
]
